Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream
Class XMLOutputStreamFactory

    java.lang.Object
      weblogic.xml.stream.XMLOutputStreamFactory

Deprecated. please use java standard StAX api

    public abstract class XMLOutputStreamFactory

extends Object

Defines an abstract implementation of a factory for getting output streams

Since:
  XMLInputStream 1.0
See Also:
  `XMLOutputStream`

Constructor Summary
`XMLOutputStreamFactory()` Deprecated.

Method Summary
`abstract XMLOutputStream` | `newCanonicalOutputStream(OutputStream outputStream)` Deprecated. Create a new Canonical XMLOutputStream
`abstract XMLOutputStream` | `newCanonicalOutputStream(OutputStream outputStream, Map map)` Deprecated. Create a new Canonical XMLOutputStream
`abstract XMLOutputStream` | `newCanonicalOutputStream(Writer writer)` Deprecated. Create a new Canonical XMLOutputStream
`abstract XMLOutputStream` | `newCanonicalOutputStream(Writer writer, Map map)` Deprecated.
`abstract XMLOutputStream` | `newDebugOutputStream(OutputStream stream)` Deprecated. Create a new XMLOutputStream that writes to a stream that pretty prints it's output
`abstract XMLOutputStream` | `newDebugOutputStream(OutputStream stream, boolean writeEmptyElements)` Deprecated.
`abstract XMLOutputStream` | `newDebugOutputStream(Writer writer)` Deprecated. Create a new XMLOutputStream that writes to a writer that pretty prints it's output
`abstract XMLOutputStream` | `newDebugOutputStream(Writer writer, boolean writeEmptyElements)` Deprecated.
`abstract XMLInputOutputStream` | `newInputOutputStream()` Deprecated. Create a new XMLInputOutputStream that can be passed into a method that takes an XMLOutputStream and read from like an XMLInputStream
`static XMLOutputStreamFactory` | `newInstance()` Deprecated. Create a new instance of the factory.
`abstract XMLOutputStream` | `newOutputStream(ContentHandler handler)` Deprecated. Create a new XMLOutputStream that writes to a SAX ContentHandler
`abstract XMLOutputStream` | `newOutputStream(Document document)` Deprecated. Create a new XMLOutputStream that writes to a DOM document
`abstract XMLOutputStream` | `newOutputStream(Document document, DocumentFragment documentFragment)` Deprecated. Create a new XMLOutputStream that writes to a DOM document fragment
`abstract XMLOutputStream` | `newOutputStream(OutputStream stream)` Deprecated. Create a new XMLOutputStream that writes to a stream
`abstract XMLOutputStream` | `newOutputStream(OutputStream stream, boolean writeEmptyElements)` Deprecated. Create a new XMLOutputStream that writes to a stream
`abstract XMLOutputStream` | `newOutputStream(Writer writer)` Deprecated. Create a new XMLOutputStream that writes to a writer
`abstract XMLOutputStream` | `newOutputStream(Writer writer, boolean writeEmptyElements)` Deprecated. Create a new XMLOutputStream that writes to a writer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLOutputStreamFactory

    public XMLOutputStreamFactory()

  Deprecated.

Method Detail

### newInstance

    public static XMLOutputStreamFactory newInstance()

  Deprecated.
  Create a new instance of the factory.

### newOutputStream

    public abstract XMLOutputStream newOutputStream(OutputStream stream)
                                             throws XMLStreamException

  Deprecated.
  Create a new XMLOutputStream that writes to a stream

  Parameters:
    `stream` - the stream to write to
  Throws:
    `XMLStreamException`

### newOutputStream

    public abstract XMLOutputStream newOutputStream(Writer writer)
                                             throws XMLStreamException

  Deprecated.
  Create a new XMLOutputStream that writes to a writer

  Parameters:
    `writer` - the writer to write to
  Throws:
    `XMLStreamException`

### newOutputStream

    public abstract XMLOutputStream newOutputStream(Document document)
                                             throws XMLStreamException

  Deprecated.
  Create a new XMLOutputStream that writes to a DOM document

  Parameters:
    `document` - the Document to write to
  Throws:
    `XMLStreamException`

### newOutputStream

    public abstract XMLOutputStream newOutputStream(Document document,
                                                    DocumentFragment documentFragment)
                                             throws XMLStreamException

  Deprecated.
  Create a new XMLOutputStream that writes to a DOM document fragment

  Parameters:
    `document` - the Document the document fragment was created from
    `documentFragment` - the DocumentFragment to write to
  Throws:
    `XMLStreamException`

### newOutputStream

    public abstract XMLOutputStream newOutputStream(ContentHandler handler)
                                             throws XMLStreamException

  Deprecated.
  Create a new XMLOutputStream that writes to a SAX ContentHandler

  Parameters:
    `handler` - the user provided content handler to call back as events are added to the output stream
  Throws:
    `XMLStreamException`

### newDebugOutputStream

    public abstract XMLOutputStream newDebugOutputStream(OutputStream stream)
                                                  throws XMLStreamException

  Deprecated.
  Create a new XMLOutputStream that writes to a stream that pretty prints it's output

  Parameters:
    `stream` - the stream to write to
  Throws:
    `XMLStreamException`

### newDebugOutputStream

    public abstract XMLOutputStream newDebugOutputStream(Writer writer)
                                                  throws XMLStreamException

  Deprecated.
  Create a new XMLOutputStream that writes to a writer that pretty prints it's output

  Parameters:
    `stream` - the stream to write to
  Throws:
    `XMLStreamException`

### newInputOutputStream

    public abstract XMLInputOutputStream newInputOutputStream()
                                                       throws XMLStreamException

  Deprecated.
  Create a new XMLInputOutputStream that can be passed into a method that takes an XMLOutputStream and read from like an XMLInputStream

  Throws:
    `XMLStreamException`

### newCanonicalOutputStream

    public abstract XMLOutputStream newCanonicalOutputStream(Writer writer)
                                                      throws XMLStreamException

  Deprecated.
  Create a new Canonical XMLOutputStream

  Parameters:
    `writer` - the writer to write to
  Throws:
    `XMLStreamException`

### newCanonicalOutputStream

    public abstract XMLOutputStream newCanonicalOutputStream(OutputStream outputStream)
                                                      throws XMLStreamException

  Deprecated.
  Create a new Canonical XMLOutputStream

  Parameters:
    `outputStream` - the stream to write to
  Throws:
    `XMLStreamException`

### newCanonicalOutputStream

    public abstract XMLOutputStream newCanonicalOutputStream(Writer writer,
                                                             Map map)
                                                      throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### newCanonicalOutputStream

    public abstract XMLOutputStream newCanonicalOutputStream(OutputStream outputStream,
                                                             Map map)
                                                      throws XMLStreamException

  Deprecated.
  Create a new Canonical XMLOutputStream

  Parameters:
    `outputStream` - the stream to write to
  Throws:
    `XMLStreamException`

### newOutputStream

    public abstract XMLOutputStream newOutputStream(OutputStream stream,
                                                    boolean writeEmptyElements)
                                             throws XMLStreamException

  Deprecated.
  Create a new XMLOutputStream that writes to a stream

  Parameters:
    `stream` - the stream to write to
    `writeEmptyElements` - if false the stream will write , if true it will write
  Throws:
    `XMLStreamException`

### newOutputStream

    public abstract XMLOutputStream newOutputStream(Writer writer,
                                                    boolean writeEmptyElements)
                                             throws XMLStreamException

  Deprecated.
  Create a new XMLOutputStream that writes to a writer

  Parameters:
    `writer` - the writer to write to
    `writeEmptyElements` - if false the stream will write , if true it will write
  Throws:
    `XMLStreamException`

### newDebugOutputStream

    public abstract XMLOutputStream newDebugOutputStream(OutputStream stream,
                                                         boolean writeEmptyElements)
                                                  throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### newDebugOutputStream

    public abstract XMLOutputStream newDebugOutputStream(Writer writer,
                                                         boolean writeEmptyElements)
                                                  throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD